<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"
    tools:context="com.koeping.lukas.sensordatacollector.MainActivity">


    <TextView
        android:id="@+id/event_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Current Moving Mode" />


    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:orientation="horizontal">

            <Button
                android:id="@+id/stairs_up_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:onClick="markEvent"
                android:text="Stairs Up"
                android:textSize="14sp"
                />

            <Button
                android:id="@+id/stairs_down_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:onClick="markEvent"
                android:text="Stairs Down"
                android:textSize="14sp"
                />


        </LinearLayout>


        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:orientation="horizontal">


            <Button
                android:id="@+id/walk_slow_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:onClick="markEvent"
                android:text="Walk slow"
                android:textSize="14sp"
                />

            <Button
                android:id="@+id/walk_normal_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:onClick="markEvent"
                android:text="Walk Normal"
                android:textSize="14sp"
                />

            <Button
                android:id="@+id/walk_fast_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:onClick="markEvent"
                android:text="Walk fast"
                android:textSize="14sp"
                />

        </LinearLayout>


        <Button
            android:id="@+id/stand_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:onClick="markEvent"
            android:text="Stand"
            android:textSize="14sp"
            />


        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:orientation="horizontal">


            <Button
                android:id="@+id/elevator_up_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:onClick="markEvent"
                android:text="Elevator Up"
                android:textSize="14sp"
                />


            <Button
                android:id="@+id/elevator_down_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:onClick="markEvent"
                android:text="Elevator Down"
                android:textSize="14sp"
                />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:orientation="horizontal">


            <Button
                android:id="@+id/undefined_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:onClick="markEvent"
                android:text="Undefined"
                android:textSize="14sp"
                />

        </LinearLayout>



    </LinearLayout>


    <Button
        android:id="@+id/recording_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:onClick="startStopRecording"
        android:text="Start\nRecording"
        android:textSize="12sp"
        />


</RelativeLayout>
